version: '3'

services:
 odoo:
   build: .
   container_name: odoo
   env_file: .env
   depends_on:
     - postgres
   ports:
     - "8069:8069"
   volumes:
     - data:/var/lib/odoo
     - ./config:/etc/odoo
     - ./extra-addons:/mnt/extra-addons
     - ./third-party-addons:/mnt/third-party-addons

 postgres:
   image: postgres:13-alpine3.18  # version of postgres
   container_name: db
   env_file: .env
   volumes:
     - db:/var/lib/postgresql/data/pgdata

 pgadmin:
   image: dpage/pgadmin4
   container_name: pgadmin
   ports:
     - "8888:80"
   environment:
     PGADMIN_DEFAULT_EMAIL: admin@admin.com
     PGADMIN_DEFAULT_PASSWORD: admin
   volumes:
     - pgadmin:/var/lib/pgadmin

volumes:
 data:
 db:
 pgadmin: